$(document).ready(function(){
    getToken();
    showDatasourceListing();
	var id ="";
	var name ="";
});

function showDatasourceListing() {
	var doContinue = true;
	$.ajax({
		type: "GET",
		url: dashboardServerApiUrl +"/v2.0/items?ItemType=4",
		beforeSend: function (xhr) {
			xhr.setRequestHeader('Authorization', "bearer "+accessToken)
		},
		success: function (data) {
			datasource = data;
			if (datasource != "") {           
                for(var i=0;i<datasource.length;i++){				
                    var divDom=$("<div class='datasource-item'>").attr({
                        Name : datasource[i].Name,
                        ItemId : datasource[i].Id
                    });
                    divDom.html(datasource[i].Name);
                    $("#panel").append(divDom);            
                }
            }
        }
    });
}


$(document).on("click",".datasource-item",function(){
    $(".datasource-item").removeClass("active");
    $(this).addClass("active");
    id=$(this).attr("ItemId");
    name=$(this).attr("Name");
	openDesignerForEdit(id, name);
});

$(document).on("click","#create-datasource",function(){
    openDesignerForCreate();
})

function openDesignerForCreate() {
    $("#datasource").html("");
    $("#datasource").css("height",window.innerHeight-48); //change this value to dynamically set the height of the dashboard rendernig dom
	var divIFrame = $("<iframe src='" + baseUrl + "/datasource-designer/connection?isembed=true' id='dashboard-frame' width='100%' height='100%' allowfullscreen frameborder='0'></iframe>");					
	$("#datasource").append(divIFrame);
}

function openDesignerForEdit(itemId, name) {
    $("#datasource").html("");
    $("#datasource").css("height",window.innerHeight-48); //change this value to dynamically set the height of the dashboard rendernig dom
	var divIFrame = $("<iframe src='" + baseUrl + "/datasource-designer/" + itemId + "/" + name + "?isembed=true' id='dashboard-frame' width='100%' height='100%' allowfullscreen frameborder='0'></iframe>");					
	$("#datasource").append(divIFrame);
}
